
function gameinput (sender,obj_id,attachedID)
if sender==30 then
setcurentleaf("keys",16,0);
SwitchToSheet("re");
    whole_darkness=false;
    DarkScreen(true);
    SetAlfa(503,0,1,1);
    speciale_action(4,503);
return;end;
if sender==28 then
  if endmap and not maincomics then
    --endmap= false;
    maincomics=true;
    speciale_action(2,6109,true,0.008);
  return; end;
  if obj_id==6106 and not endmap then
    speciale_action(2,9999);
    speciale_action(2,6104);
    speciale_action(2,6200);
    StartAnimation(9999)
    setcolor(1103,0,0,0,1,1);
    Blocking = false;  
    BlockCursor(false);
    maping=true;    
  return;end;
return;end;
if sender==16 then
    if obj_id<6140 and obj_id>=6109 then------------------------------------------------------
      speciale_action(2,obj_id+1,true,0.00001);-----------------------------------------------
    return; end;--------
    if obj_id==6140 then-------------------------------
      speciale_action(2,6011);
      speciale_action(2,6032);
      speciale_action(2,6047);
      speciale_action(2,6038);
      speciale_action(2,6026);
      speciale_action(2,6016);
      speciale_action(2,6014);
      speciale_action(2,6039);
      speciale_action(2,6040);
      speciale_action(2,6070);
      speciale_action(2,6071);
      speciale_action(2,6205,true,0.008);
    return; end;
  return; end;
  if sender==15 then
    if obj_id>6109 and obj_id<=6140 then----------------------------
      speciale_action(2,obj_id-1,true,0.00001);
    return; end;
    if obj_id==6205 then
      speciale_action(2,6140,true,0.00001);
    return; end;
    if obj_id==6109 then  --------------------------
      clear_satelite_leaf("keys");    
    return; end;
  return; end;
    if pause_state then
    if sender==1 or sender==6 or sender==14 then
    pause_state=false;
    --set_visible_object(11111,false);
    end;
  return;end;
if sender==6 then
    if maping then
      maping=false;
      MoveObjectY(6105,-3,-521,1);
      Blocking = true;
      MoveObjectY(6106,768-115,768+115,1);
      speciale_action(2,6104);
      speciale_action(2,6200);
      speciale_action(2,1103);
      speciale_action(2,9999);
      endmap=true;
    return;end;
return; end;
end;
